function onlyNumbers(evt)
{
    var keyPressed = (evt.which) ? evt.which : event.keyCode
    return !(keyPressed > 31 && (keyPressed < 48 || keyPressed > 57));
}

function comprobar(n)
{
    formulario.destino.value=n;
    if(formulario.nie.value!="")
    {
        formulario.submit();
    } else
    {
        alert("Es obligatorio introducir el NIE del alumno");
    }
}
function comprobarmod(n)
{
    formulario.destino.value=n;
    formulario.submit();
}
function bisiesto(m)
{
    var n=parseInt(m);
    if(n%4==0)
    {
        if(n%100==0)
        {
            if(n%400==0)
            {
                return true;
            }
            return false;
        }
        return true;
    }
    return false;
}
function cumplidos (dia,mes,hoy)
{
    if(mes<hoy.getMonth()+1)
    {
        return true;
    } else
    {
        if(mes==hoy.getMonth()+1)
        {
            if(dia<=hoy.getDate())
            {
                return true;
            }
        }
    }
    return false;
}
function calcularEdad(dia,mes,ano)
{
    hoy=new Date();
    anos=hoy.getFullYear()-ano;
    if(!cumplidos(dia,mes,hoy))
    {
        anos--;
    }
    return anos;
}
function comprobarFecha()
{
    var diasAno= new Array(0,31,28,31,30,31,30,31,31,30,31,30,31);
    var dia=formulario.dia.value;
    var mes=formulario.mes.value;
    var ano=formulario.ano.value;
    var nDias=diasAno[mes];
    if(bisiesto(ano) && mes==2)
        nDias++;
    if(dia!="" && mes!="")
    {
        if(dia<=nDias && dia>0 && ano>0)
        {
            document.getElementById('edad').value=calcularEdad(dia,mes,ano);
        } else {
            alert("La fecha que has introducido es incorrecta, por favor, introdcela correctamente");
        }
    }
}
function comprobarFoto(foto)
{
    var ext;
    ext=foto.substr(foto.length-4,4);
    if(ext.toUpperCase()!=".JPG" && ext.toUpperCase()!=".GIF" && ext.toUpperCase()!=".BMP" && ext.toUpperCase()!=".PNG")
    {
        alert("S�lo son válidas imáenes en formato JPG, GIF, PNG o BMP, por favor, sustituya la imagen por una en formato admitido. Gracias.");
    } else {
        return true;
    }
    return false;
}
function cambiarFoto()
{
    if(comprobarFoto(document.getElementById("fotofich").value))
    {
        document.getElementById("foto").src="file://"+document.getElementById("fotofich").value;
    }
}
//Confirmacion para borrar
function confBorrar (n,q)
{
    switch(q)
    {
        case 1:
            if(confirm("¿Esta seguro que desea borrar el centro? Tenga en cuenta que se borrarán todos sus alumnos y centros adscritos"))
            {
                location.href="borrarcentro.php?id="+n;
            }
            break;
        case 2:
            if(confirm("¿Esta seguro que desea borrar a los alumnos?"))
            {
                document.getElementById("formulario").submit();
            }
            break;
        case 3:
            if(confirm("¿Esta seguro que desea borrar el informe?"))
            {
                location.href="eliminarinf.php?id="+n;
            }
            break;
        case 4:	case 5:	case 6:	case 7: case 8:
            if(confirm("¿Esta seguro que desea borrar la fila?"))
            {
                location.href="eliminarfila.php?tab="+q+"&id="+n;
            }
            break;
        case 9:
            if(confirm("¿Esta seguro que desea borrar el centro adscrito?"))
            {
                document.getElementById("formu").submit();
            }
            break;
        case 10:
            if(confirm("¿Esta seguro que desea borrar el expediente?"))
            {
                location.href="eliminarexp.php?id="+n;
            }
            break;
        case 11:
            if(confirm("¿Esta seguro que desea eliminar la cita?"))
            {
                location.href="ag-del.php?id="+n;
            }
            break;
        case 12:
            if(confirm("¿Esta seguro que desea eliminar el registro?"))
            {
                location.href="inv-del.php?id="+n;
            }
            break;
        case 13:
            if(confirm("¿Esta seguro que desea eliminar el libro con todas sus actas?"))
            {
                location.href="act-delBook.php?id="+n;
            }
            break;
        case 14:
            if(confirm("¿Esta seguro que desea eliminar el acta?"))
            {
                location.href="act-del.php?id="+n;
            }
            break;
    }
}
//Funcion para nueva opcion
function comprobarOtra(aComprobar, aMostrar)
{
    if(document.getElementById(aComprobar).value=="Otra")
    {
        document.getElementById(aComprobar).style.display="none";
        document.getElementById(aMostrar).style.display="inline";
        document.getElementById(aMostrar).focus();
    }
}

//Funcion para cambiar de pesta�a en las ventanas emergentes
function cambiaPestana (n)
{
    switch (n)
    {
        case 0:
            document.getElementById("documento").style.display="none";
            document.getElementById("texto").style.display="block";
            document.getElementById("masDatosTexto").focus();
            document.getElementById("pestanaTexto").style.backgroundColor="#f2b800";
            document.getElementById("pestanaDocumento").style.backgroundColor="#ccc";
            break;
        case 1:
            document.getElementById("documento").style.display="block";
            document.getElementById("texto").style.display="none";
            document.getElementById("pestanaTexto").style.backgroundColor="#ccc";
            document.getElementById("pestanaDocumento").style.backgroundColor="#f2b800";
            break;
    }
}

//Funcion para abrir la ventana emergente de Mas Datos
function abreVentana(fila, seccion)
{
    ancho=458;
    alto=230;
    posx=screen.width/2-ancho/2;
    posy=screen.height/2-alto/2;
    doc1=document.getElementById(fila+"Documento1").value;
    doc2=document.getElementById(fila+"Documento2").value;
    doc3=document.getElementById(fila+"Documento3").value;
    doc4=document.getElementById(fila+"Documento4").value;
    doc5=document.getElementById(fila+"Documento5").value;
    window.open('masdatos.php?fila='+fila+'&texto='+document.getElementById(fila+"Texto").value+'&doc1='+doc1+'&doc2='+doc2+'&doc3='+doc3+'&doc4='+doc4+'&doc5='+doc5+'&seccion='+seccion,'','width='+ancho+',height='+alto+',top='+posy+',left='+posx);
}

//Funcion para cerrar la ventana emergente guardando los cambios
function cerrarVentanaEmergente (fila)
{
    window.opener.document.getElementById(fila+"Texto").value=document.getElementById("masDatosTexto").value;
    for(i=1;i<6;i++)
    {
        if (document.getElementById("masDatosDocumento" + i).value != "")
        {
            window.opener.document.getElementById(fila + "Documento" + i).value = document.getElementById("masDatosDocumento" + i).value;
            window.opener.document.getElementById(fila + "DocumentoExt" + i).value = document.getElementById("masDatosDocumentoExt" + i).value;
        }
    }
    window.close();
}

//Funcion para saber si hay que subir un documento temporal o simplemente copiar el campo texto
function comprobarDocumento (fila)
{
    if(document.getElementById("masDatosDocumento1").value=="" && document.getElementById("masDatosDocumento2").value=="" && document.getElementById("masDatosDocumento3").value=="" && document.getElementById("masDatosDocumento4").value=="" && document.getElementById("masDatosDocumento5").value=="")
    {
        cerrarVentanaEmergente (fila);
    } else
    {
        document.getElementById("formulario").submit();
    }
}

//Funcion para abrir una ventana emergente con informacion
function abrirVentanaInformacion(n)
{
    switch (n)
    {
        case 0:
            window.open('situacionfamiliar.php','','width=600,height=640');
            break;
        case 1:
            window.open('situacioneconomica.php','','width=600,height=210');
            break;
        case 2:
            window.open('situacionvivienda.php','','width=600,height=150');
            break;
    }
}

//Para los menus en IE
navHover = function() {
    var lis = document.getElementById("barraMenu").getElementsByTagName("LI");
    for (var i=0; i<lis.length; i++) {
        lis[i].onmouseover=function() {
            this.className+=" paraie";
        }
        lis[i].onmouseout=function() {
            this.className=this.className.replace(new RegExp(" paraie\\b"), "");
        }
    }
}
if (window.attachEvent) window.attachEvent("onload", navHover);

//Imprimir ficha

var deg;
function abrirCuadroPrint()
{
    var dimensiones;
    dimensiones = tamanoVentanaNavegador();
    
    document.getElementById("imprBack").style.visibility='visible';
    document.getElementById("imprBack").style.width=dimensiones[0];
    document.getElementById("imprBack").style.height=dimensiones[1];
    document.getElementById("imprBack").style.opacity=0;

    imprBack.style.filter = "alpha(opacity=0)";

   

    document.getElementById("selImpr").style.visibility='visible';
    document.getElementById("selImpr").style.top=dimensiones[1]/2-50;
    document.getElementById("selImpr").style.left=dimensiones[0]/2-125;
    document.getElementById("selImpr").style.opacity=0;

    selImpr.style.filter = "alpha(opacity=0)";

    deg = setInterval("degradarImp()", 15);
}
var opac=0;
function degradarImp()
{
    document.getElementById("imprBack").style.opacity=opac/100;
    document.getElementById("selImpr").style.opacity=(opac*2)/100;

    //IE
    var opacidad='alpha(opacity='+opac+')';
    imprBack.style.filter = opacidad;
    opacidad='alpha(opacity='+opac*2+')';
    selImpr.style.filter = opacidad;

    opac+=5;
    if(opac>50)
    {
        document.getElementById("selImpr").style.opacity=1;
        clearInterval(deg);
    }
}
function cerrarCuadroPrint()
{

    deg = setInterval("degradarImpOut()", 15);
}

function degradarImpOut()
{
    document.getElementById("imprBack").style.opacity=opac/100;
    document.getElementById("selImpr").style.opacity=(opac*2)/100;

    //IE
    var opacidad='alpha(opacity='+opac+')';
    imprBack.style.filter = opacidad;
    opacidad='alpha(opacity='+opac*2+')';
    selImpr.style.filter = opacidad;
    
    opac-=5;
    if(opac<=0)
    {
        document.getElementById("selImpr").style.visibility='hidden';
        document.getElementById("imprBack").style.visibility='hidden';
        opac = 0;
        clearInterval(deg);
    }
}

function imprimir (id)
{
    var anadido="";
    if(document.getElementById("selDatosPersonales").checked)
    {
        anadido+="&selDatosPersonales=1";
    }
    if(document.getElementById("selHistorial").checked)
    {
        anadido+="&selHistorial=1";
    }
    if(document.getElementById("selExpediente").checked)
    {
        anadido+="&selExpediente=1";
    }
    if(document.getElementById("selEntrevistas").checked)
    {
        anadido+="&selEntrevistas=1";
    }
    if(document.getElementById("selDatosPsicopedagogicos").checked)
    {
        anadido+="&selDatosPsicopedagogicos=1";
    }
    if(document.getElementById("selComportamiento").checked)
    {
        anadido+="&selComportamiento=1";
    }
    if(document.getElementById("selContexto").checked)
    {
        anadido+="&selContexto=1";
    }
    document.getElementById("imprimir").src="imprimirFicha.php?id="+id+anadido;
    cerrarCuadroPrint();
}

function imprimirInv(n)
{
    document.getElementById("imprimir").src="inv-print.php?id=c"+n;
}

//Funcion para abrir el calendario
function abreCalendario(origen,destino)
{
    ancho=318;
    alto=250;
    posx=screen.width/2-ancho/2;
    posy=screen.height/2-alto/2;
    window.open(origen+'calendarioPeq.php?destino='+destino,'','width='+ancho+',height='+alto+',top='+posy+',left='+posx);
}
	
//Funcion para colocar la fecha
function colocaDia(destino, fecha)
{
    window.opener.document.getElementById(destino).value=fecha;
    window.close();
}

function tamanoVentanaNavegador(){
  // Adaptada de http://www.howtocreate.co.uk/tutorials/javascript/browserwindow
  var dimensiones = [];

  if(typeof(window.innerWidth) == 'number') {
    // No es IE
    dimensiones = [document.documentElement.clientWidth, document.documentElement.clientHeight];
  } else if(document.documentElement && (document.documentElement.clientWidth || document.documentElement.clientHeight)) {
    //IE 6 en modo estandar (no quirks)
    dimensiones = [document.documentElement.clientWidth, document.documentElement.clientHeight];
  } else if(document.body && (document.body.clientWidth || document.body.clientHeight)) {
    //IE en modo quirks
    dimensiones = [document.body.clientWidth, document.body.clientHeight*2];
  }

  return dimensiones;
}
